'
' *   EZ GL2D Platfom Game engine Example
' *   Source is provided "as is" without express or implied warranty of any kind.
' * 
'

Imports System
Imports System.Collections.Generic
Imports System.Linq
Imports System.Text

Namespace GL2DexampleJump.Game
	Public Class Entity

		Protected width As Single = 32
		Protected height As Single = 32

		Protected x As Single
		Protected y As Single
		Protected dx As Single
		Protected dy As Single

		Protected speed As Single = 2.5F

		Protected frame As Integer = 0
		Protected baseFrame As Integer = 0
		Protected numFrames As Integer = 1

		Protected tileX As Integer
		Protected tileY As Integer

		Public Sub New()
		End Sub


		Public Sub update()
		End Sub

		Public Sub render()

		End Sub


		Public Function getWidth() As Single
			Return width
		End Function


		Public Function getHeight() As Single
			Return height
		End Function


		Public Function getX() As Single
			Return x
		End Function


		Public Function getY() As Single
			Return y
		End Function


		Public Function getSpeed() As Single
			Return speed
		End Function


		Public Function getBaseFrame() As Integer
			Return baseFrame
		End Function


		Public Function getNumFrames() As Integer
			Return numFrames
		End Function


		Public Sub setWidth(ByVal width As Single)
			Me.width = width
		End Sub


		Public Sub setHeight(ByVal height As Single)
			Me.height = height
		End Sub


		Public Sub setX(ByVal x As Single)
			Me.x = x
		End Sub

		Public Sub addX(ByVal x As Single)
			Me.x += x
		End Sub


		Public Sub setY(ByVal y As Single)
			Me.y = y
		End Sub

		Public Sub addY(ByVal y As Single)
			Me.y += y
		End Sub

		Public Function getDx() As Single
			Return dx
		End Function


		Public Function getDy() As Single
			Return dy
		End Function


		Public Sub setDx(ByVal dx As Single)
			Me.dx = dx
		End Sub


		Public Sub setDy(ByVal dy As Single)
			Me.dy = dy
		End Sub

		Public Sub addDy(ByVal y As Single)
			Me.dy += y
		End Sub

		Public Sub setSpeed(ByVal speed As Single)
			Me.speed = speed
		End Sub


		Public Sub setBaseFrame(ByVal baseFrame As Integer)
			Me.baseFrame = baseFrame
		End Sub


		Public Sub setNumFrames(ByVal numFrames As Integer)
			Me.numFrames = numFrames
		End Sub


		Public Function getTileX() As Integer
			Return tileX
		End Function


		Public Function getTileY() As Integer
			Return tileY
		End Function


		Public Sub setTileX(ByVal tileX As Integer)
			Me.tileX = tileX
		End Sub


		Public Sub setTileY(ByVal tileY As Integer)
			Me.tileY = tileY
		End Sub



	End Class

End Namespace
